Skip to main content
POST
/
vpn
/
vpn-details
/
get
Get customer VPN connection details
curl --request POST \
  --url https://demo.onlinebillingform.com/api/v2/vpn/vpn-details/get \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 123,
  "connection_id": 123
}
'
import requests

url = "https://demo.onlinebillingform.com/api/v2/vpn/vpn-details/get"

payload = {
    "id": 123,
    "connection_id": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({id: 123, connection_id: 123})
};

fetch('https://demo.onlinebillingform.com/api/v2/vpn/vpn-details/get', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}
{
  "success": false,
  "errors": "Invalid API Key"
}
{
  "success": false,
  "errors": "Insufficient permissions for this endpoint."
}
{
  "success": false,
  "errors": {
    "id": [
      "The id field is required."
    ]
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Body

id
integer
required
connection_id
integer
required

Response

OK

success
boolean